Back to TikTok
ApifyยทTikTok

TikTok Data Extractor

/clockworks/free-tiktok-scraperasync$0.0075 / result

Extract data about videos, users, and channels based on hashtags or scrape full user profiles including posts, total likes, name, nickname, numbers of comments, shares, followers, following, and more. Runs as an Apify actor (20โ€“120 s); results are dataset rows.

Charged per returned row plus the flat fee.

Input
  • hashtagsarray

    Just add one or more TikTok hashtags and the scraper will collect data about videos containing this hashtag: likes, users, followers and more. You can enter the hashtags one by one, or use the Bulk edit section to add a prepared list.

  • resultsPerPageinteger

    Add the number of tiktoks you want to scrape per hashtag, profile, or search query. This field is applicable to #๏ธโƒฃ Hashtags, ๐Ÿ˜Ž Profiles, and ๐Ÿ” Search. (default 1)

  • profilesarray

    Add one or multiple TikTok usernames or user IDs you want to scrape. You can enter the usernames one by one, or use the Bulk edit section to add a prepared list.

  • profileScrapeSectionsarray

    If a profile has reposted videos, you can scrape them by selecting 'Reposts'. If a profile currently has an active story, you can scrape it by selecting 'Stories' (default ["videos"])

  • profileSortingstring

    Select Latest to scrape the most recent videos first, Oldest - the oldest videos first, Popular - the most popular videos first. Date filters only work with Latest and Oldest. Only supported for Videos section. Note: Popular sorting is limited by TikTok to approximately 400โ€“500 videos per profile an (default "latest")

    latest, popular, oldest

  • excludePinnedPostsboolean

    Tick to exclude pinned posts from profiles. Pinned posts are usually the first videos on a profile's page. (default false)

  • oldestPostDateUnifiedstring

    Optional charged filter. Only videos uploaded after or on this date will be scraped. Alternatively, specify how old the scraped videos should be in days. Putting 1 will get you only today's posts, 2 - yesterday's and today's, and so on.

  • newestPostDatestring

    Optional charged filter. Only videos uploaded before or on this date will be scraped.

  • mostDiggsinteger

    Optional charged filter. Scrapes only videos with less hearts than the number you add. Doesn't work with date filters

  • leastDiggsinteger

    Optional charged filter. Scrapes only videos with no less hearts than the number you add. Doesn't work with date filters

  • maxFollowersPerProfileinteger

    Scrapes number of 'Followers' profiles requested from the inputted profiles. You can find the link to the dataset under the followDatasetUrl field in the output. If you want to scrape only Followers/Following profiles, go to our TikTok Followers Scraper.

  • maxFollowingPerProfileinteger

    Scrapes number of 'Following' profiles requested from the inputted profiles. You can find the link to the dataset under the followDatasetUrl field in the output. If you want to scrape only Followers/Following profiles, go to our TikTok Followers Scraper.

  • searchQueriesarray

    Your keyword will apply to both videos and profiles. Use the Search sorting field below to specify whether you want your search to apply to top content, videos or users. As for your query's format, you can use any query that works on TikTok.

  • searchSectionstring

    By default, this scraper will sort the search results by whatever shows up in the Top section of TikTok search. But you can narrow it down: if you want to apply your search query to just videos, use Video, just profiles - Profile. (default "")

    , /video, /user

  • maxProfilesPerQueryinteger

    Only applies to profile searches. In this case ignore the ๐Ÿ’ฏ Number of videos section and choose the number of profiles you want to scrape here. (default 10)

  • videoSearchSortingstring

    Optional charged filter. Select how you want the search results to be sorted when searching for videos. Only valid with `/video` search section. (default "MOST_RELEVANT")

    MOST_RELEVANT, MOST_LIKED, LATEST

  • videoSearchDateFilterstring

    Optional charged filter. Select a date range in which to search for videos. Only valid with `/video` search section. (default "ALL_TIME")

    ALL_TIME, PAST_24_HOURS, PAST_WEEK, PAST_MONTH, LAST_3_MONTHS, LAST_6_MONTHS

  • postURLsarray

    Add the URLs of tiktok videos you want to scrape. You can paste video URLs one by one, or use the Bulk edit section to add a prepared list.

  • scrapeRelatedVideosboolean

    Tick to scrape related videos for the post URLs you provide. - The maximum number of scraped related videos is set by the `resultsPerPage` count. - Note that this only works for direct video URLs from the `postURLs` field. (default false)

  • shouldDownloadVideosboolean

    This is a charged add-on. Tick to download TikTok videos. (default false)

  • shouldDownloadCoversboolean

    Tick to download TikTok video cover images (thumbnails). (default false)

  • shouldDownloadSlideshowImagesboolean

    Tick to download TikTok slideshow images. (default false)

  • shouldDownloadAvatarsboolean

    Tick to download authors' profile pictures. (default false)

  • shouldDownloadMusicCoversboolean

    Tick to download cover images of sounds used in posts. (default false)

  • videoKvStoreIdOrNamestring

    Name (or ID) of the Key Value Store where the videos and other media like thumbnails will be stored. Omit to store in the default one. Using this option will provide a named Key-Value store can help bypass data retention and store the content forever until the store is manually deleted.The Key-Value

  • downloadSubtitlesOptionsstring

    Choose how to handle subtitles and audio transcription for input videos. Subtitles are provided by TikTok for some videos, and transcription means that this Actor will use speech-to-text AI to generate video transcript. Transcripts are charged as an extra event according to your plan. (default "NEVER_DOWNLOAD_SUBTITLES")

    NEVER_DOWNLOAD_SUBTITLES, DOWNLOAD_SUBTITLES, DOWNLOAD_AND_TRANSCRIBE_VIDEOS_WITHOUT_SUBTITLES, TRANSCRIBE_ALL_VIDEOS

  • aiVideoDescriptionboolean

    Use AI to generate a time-segmented description of each video (what is seen and heard, per scene). Provided inline under `videoMeta.aiVideoDescription`. Charged per video-second, only when the description is produced successfully. (default false)

  • aiVideoSummaryboolean

    Use AI to generate a high-level summary of each video as a piece of content. Provided inline under `videoMeta.aiVideoSummary`. Charged per video-second, only when the summary is produced successfully. (default false)

  • commentsPerPostinteger

    The number of comments extracted from every result. Due to TikTok API limitations, the actual number of scraped comments may differ, especially for posts with thousands of comments. The link to the dataset will be under a field commentsDatasetURL in the output.

  • topLevelCommentsPerPostinteger

    The maximum number of top-level (non-reply) comments you want from a single post.

  • maxRepliesPerCommentinteger

    The maximum number of replies you want from a single comment. Note: Successful extraction of all desired replies is currently not guaranteed.

  • proxyCountryCodestring

    Country to use with proxy. Use it in case you want to scrape posts only available for some country. (default "None")

    None, AF, AL, DZ, AS, AD, AO, AI, โ€ฆ

Run it

curl -s https://sooma.dev/v1/run \ -H "Authorization: Bearer $SOOMA_API_KEY" \ -H "Content-Type: application/json" \ -d '{"provider":"apify","endpoint":"/clockworks/free-tiktok-scraper","input":{}}'

Or ask your agent: it will call inspect for this schema and run it over MCP.